Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.stmt
[Java] Class CaseStatement

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.stmt.Statement
              org.codehaus.groovy.ast.stmt.CaseStatement

    public class CaseStatement
    extends Statement

Represents a case statement in a switch statement

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`CaseStatement(Expression expression, Statement code)`

Method Summary
`Statement` | `getCode()`
`Expression` | `getExpression()`
`void` | `setCode(Statement code)`
`void` | `setExpression(Expression e)`
`java.lang.String` | `toString()`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Statement
getStatementLabel, isEmpty, setStatementLabel

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### CaseStatement

    public CaseStatement(Expression expression, Statement code)

Method Detail

### getCode

    public Statement getCode()

### getExpression

    public Expression getExpression()

### setCode

    public void setCode(Statement code)

### setExpression

    public void setExpression(Expression e)

### toString

    public java.lang.String toString()

### visit

    public void visit(GroovyCodeVisitor visitor)

Groovy Documentation